import * as React from 'react';
import { FlatList, LayoutChangeEvent, NativeScrollEvent, NativeSyntheticEvent } from 'react-native';
import type { FrameSliderPropTypes, FrameSliderState, Element } from './types';
export declare class FrameSlider extends React.Component<FrameSliderPropTypes, FrameSliderState> {
    flatList: React.RefObject<FlatList<any>>;
    static defaultProps: {
        multiplicity: number;
        decimalPlaces: number;
        arrayLength: number;
        scrollEnabled: boolean;
        mainContainerStyle: null;
        itemStyle: null;
        tenthItemStyle: null;
        initialPositionValue: number;
    };
    constructor(props: FrameSliderPropTypes);
    shouldComponentUpdate(nextProps: Readonly<FrameSliderPropTypes>, nextState: Readonly<FrameSliderState>): boolean;
    onLayout: (event: LayoutChangeEvent) => void;
    onSliderMoved: (event: NativeSyntheticEvent<NativeScrollEvent>) => void;
    generateArrayBlock: () => Array<number>;
    init: () => void;
    scrollToElement: (value: number) => void | null;
    renderFrame: (element: Element) => JSX.Element;
    renderDefaultThumb: () => JSX.Element;
    render(): JSX.Element;
}
//# sourceMappingURL=FrameSlider.d.ts.map